import { msToTime, toData } from './_utils.js';
export const vttToData = (text) => toData(text, 'vtt');
export const dataToVtt = (data, separator = '.') => {
    const header = 'WEBVTT\n\n';
    const subsContent = data.items
        .map((sub) => {
        const timeRow = msToTime(sub.from, separator) + ' --> ' + msToTime(sub.to, separator);
        const textRows = sub.text.split('\n');
        return [timeRow, ...textRows].join('\n');
    })
        .join('\n\n');
    return header + subsContent;
};
